org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.table

## Interface TablePackage.Literals

Enclosing interface:
  TablePackage

    public static interface TablePackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Generated:

### Field Summary

Fields
`static EClass` `COLUMN` The meta object literal for the '`Column`' class.
`static EAttribute` `COLUMN__WIDTH` The meta object literal for the 'Width' attribute feature.
`static EClass` `EOBJECT_QUERY_ROW` The meta object literal for the '`EObject Query Row`' class.
`static EClass` `FEATURE_COLUMN` The meta object literal for the '`Feature Column`' class.
`static EReference` `FEATURE_COLUMN__FEATURE` The meta object literal for the 'Feature' reference feature.
`static EClass` `NAVIGATION_ROW` The meta object literal for the '`Navigation Row`' class.
`static EReference` `NAVIGATION_ROW__QUERY_RESULT` The meta object literal for the 'Query Result' reference feature.
`static EClass` `NAVIGATION_TABLE` The meta object literal for the '`Navigation Table`' class.
`static EReference` `NAVIGATION_TABLE__QUERY_RESULTS` The meta object literal for the 'Query Results' containment reference list feature.
`static EClass` `PRIMITIVE_TYPE_QUERY_ROW` The meta object literal for the '`Primitive Type Query Row`' class.
`static EAttribute` `PRIMITIVE_TYPE_QUERY_ROW__VALUE` The meta object literal for the 'Value' attribute feature.
`static EClass` `ROW` The meta object literal for the '`Row`' class.
`static EReference` `ROW__ELEMENT` The meta object literal for the 'Element' reference feature.
`static EAttribute` `ROW__HEIGHT` The meta object literal for the 'Height' attribute feature.
`static EClass` `SOURCE_COLUMN` The meta object literal for the '`Source Column`' class.
`static EAttribute` `SOURCE_COLUMN__IS_HIDDEN` The meta object literal for the 'Is Hidden' attribute feature.
`static EClass` `TABLE` The meta object literal for the '`Table`' class.
`static EReference` `TABLE__CAN_BE_PRESENTED_IN_THE_TABLE` The meta object literal for the 'Can Be Presented In The Table' reference feature.
`static EReference` `TABLE__COLUMNS` The meta object literal for the 'Columns' containment reference list feature.
`static EReference` `TABLE__CONTEXT` The meta object literal for the 'Context' reference feature.
`static EReference` `TABLE__CUSTOMIZATIONS` The meta object literal for the 'Customizations' reference list feature.
`static EAttribute` `TABLE__DESCRIPTION` The meta object literal for the 'Description' attribute feature.
`static EReference` `TABLE__FACET_SETS` The meta object literal for the 'Facet Sets' reference list feature.
`static EAttribute` `TABLE__HIDE_EMPTY_COLUMNS` The meta object literal for the 'Hide Empty Columns' attribute feature.
`static EReference` `TABLE__LOCAL_CUSTOMIZATIONS` The meta object literal for the 'Local Customizations' containment reference list feature.
`static EAttribute` `TABLE__ONLY_SHOW_COMMON_COLUMNS` The meta object literal for the 'Only Show Common Columns' attribute feature.
`static EAttribute` `TABLE__PARAMETER` The meta object literal for the 'Parameter' attribute feature.
`static EReference` `TABLE__ROWS` The meta object literal for the 'Rows' containment reference list feature.
`static EReference` `TABLE__TABLE_CONFIGURATION` The meta object literal for the 'Table Configuration' reference feature.
`static EClass` `VALUE_COLUMN` The meta object literal for the '`Value Column`' class.

### Field Detail

#### TABLE

    static final EClass TABLE

The meta object literal for the '`Table`' class.

See Also:
  `org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.table.impl.TableImpl`, `org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.table.impl.TablePackageImpl#getTable()`
Generated:

#### TABLE__TABLE_CONFIGURATION

    static final EReference TABLE__TABLE_CONFIGURATION

The meta object literal for the 'Table Configuration' reference feature.

Generated:

#### TABLE__CUSTOMIZATIONS

    static final EReference TABLE__CUSTOMIZATIONS

The meta object literal for the 'Customizations' reference list feature.

Generated:

#### TABLE__FACET_SETS

    static final EReference TABLE__FACET_SETS

The meta object literal for the 'Facet Sets' reference list feature.

Generated:

#### TABLE__CONTEXT

    static final EReference TABLE__CONTEXT

The meta object literal for the 'Context' reference feature.

Generated:

#### TABLE__PARAMETER

    static final EAttribute TABLE__PARAMETER

The meta object literal for the 'Parameter' attribute feature.

Generated:

#### TABLE__HIDE_EMPTY_COLUMNS

    static final EAttribute TABLE__HIDE_EMPTY_COLUMNS

The meta object literal for the 'Hide Empty Columns' attribute feature.

Generated:

#### TABLE__ONLY_SHOW_COMMON_COLUMNS

    static final EAttribute TABLE__ONLY_SHOW_COMMON_COLUMNS

The meta object literal for the 'Only Show Common Columns' attribute feature.

Generated:

#### TABLE__DESCRIPTION

    static final EAttribute TABLE__DESCRIPTION

The meta object literal for the 'Description' attribute feature.

Generated:

#### TABLE__COLUMNS

    static final EReference TABLE__COLUMNS

The meta object literal for the 'Columns' containment reference list feature.

Generated:

#### TABLE__ROWS

    static final EReference TABLE__ROWS

The meta object literal for the 'Rows' containment reference list feature.

Generated:

#### TABLE__LOCAL_CUSTOMIZATIONS

    static final EReference TABLE__LOCAL_CUSTOMIZATIONS

The meta object literal for the 'Local Customizations' containment reference list feature.

Generated:

#### TABLE__CAN_BE_PRESENTED_IN_THE_TABLE

    static final EReference TABLE__CAN_BE_PRESENTED_IN_THE_TABLE

The meta object literal for the 'Can Be Presented In The Table' reference feature.

Generated:

#### NAVIGATION_TABLE

    static final EClass NAVIGATION_TABLE

The meta object literal for the '`Navigation Table`' class.

See Also:
  `org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.table.impl.NavigationTableImpl`, `org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.table.impl.TablePackageImpl#getNavigationTable()`
Generated:

#### NAVIGATION_TABLE__QUERY_RESULTS

    static final EReference NAVIGATION_TABLE__QUERY_RESULTS

The meta object literal for the 'Query Results' containment reference list feature.

Generated:

#### COLUMN

    static final EClass COLUMN

The meta object literal for the '`Column`' class.

See Also:
  `org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.table.impl.ColumnImpl`, `org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.table.impl.TablePackageImpl#getColumn()`
Generated:

#### COLUMN__WIDTH

    static final EAttribute COLUMN__WIDTH

The meta object literal for the 'Width' attribute feature.

Generated:

#### SOURCE_COLUMN

    static final EClass SOURCE_COLUMN

The meta object literal for the '`Source Column`' class.

See Also:
  `org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.table.impl.SourceColumnImpl`, `org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.table.impl.TablePackageImpl#getSourceColumn()`
Generated:

#### SOURCE_COLUMN__IS_HIDDEN

    static final EAttribute SOURCE_COLUMN__IS_HIDDEN

The meta object literal for the 'Is Hidden' attribute feature.

Generated:

#### FEATURE_COLUMN

    static final EClass FEATURE_COLUMN

The meta object literal for the '`Feature Column`' class.

See Also:
  `org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.table.impl.FeatureColumnImpl`, `org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.table.impl.TablePackageImpl#getFeatureColumn()`
Generated:

#### FEATURE_COLUMN__FEATURE

    static final EReference FEATURE_COLUMN__FEATURE

The meta object literal for the 'Feature' reference feature.

Generated:

#### ROW

    static final EClass ROW

The meta object literal for the '`Row`' class.

See Also:
  `org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.table.impl.RowImpl`, `org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.table.impl.TablePackageImpl#getRow()`
Generated:

#### ROW__ELEMENT

    static final EReference ROW__ELEMENT

The meta object literal for the 'Element' reference feature.

Generated:

#### ROW__HEIGHT

    static final EAttribute ROW__HEIGHT

The meta object literal for the 'Height' attribute feature.

Generated:

#### NAVIGATION_ROW

    static final EClass NAVIGATION_ROW

The meta object literal for the '`Navigation Row`' class.

See Also:
  `org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.table.impl.NavigationRowImpl`, `org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.table.impl.TablePackageImpl#getNavigationRow()`
Generated:

#### NAVIGATION_ROW__QUERY_RESULT

    static final EReference NAVIGATION_ROW__QUERY_RESULT

The meta object literal for the 'Query Result' reference feature.

Generated:

#### PRIMITIVE_TYPE_QUERY_ROW

    static final EClass PRIMITIVE_TYPE_QUERY_ROW

The meta object literal for the '`Primitive Type Query Row`' class.

See Also:
  `org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.table.impl.PrimitiveTypeQueryRowImpl`, `org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.table.impl.TablePackageImpl#getPrimitiveTypeQueryRow()`
Generated:

#### PRIMITIVE_TYPE_QUERY_ROW__VALUE

    static final EAttribute PRIMITIVE_TYPE_QUERY_ROW__VALUE

The meta object literal for the 'Value' attribute feature.

Generated:

#### EOBJECT_QUERY_ROW

    static final EClass EOBJECT_QUERY_ROW

The meta object literal for the '`EObject Query Row`' class.

See Also:
  `org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.table.impl.EObjectQueryRowImpl`, `org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.table.impl.TablePackageImpl#getEObjectQueryRow()`
Generated:

#### VALUE_COLUMN

    static final EClass VALUE_COLUMN

The meta object literal for the '`Value Column`' class.

See Also:
  `org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.table.impl.ValueColumnImpl`, `org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.table.impl.TablePackageImpl#getValueColumn()`
Generated: